Skip to content
dartpilot
Esc
↑↓navigate↵open⌘Jpreview

List public lobbies

Lists open lobbies marked public, newest first. Use it to find a public lobby to display; active games are listed separately by /v1/games/live.

GET/lobbies
Authorization
x-api-keyAPI key · headerrequired

A user (dp_) or organization (dp_org_) API key with read scopes.

Query parameters
afterstring

Opaque cursor from the previous page's paging.nextCursor.

limitinteger

Number of items to return per page.

min 1 · max 50 · default: 20
Responses
200

A page of public lobbies.

itemsLobby[]required
Show properties
Array of Lobby
idstringrequired
gameTypestring | nullrequired
visibilitystringrequired
Allowed:privatepublic
playerCountintegerrequired
min 0 · max 9007199254740991
hostLobbyHost | nullrequired
Show properties
Any of:
LobbyHost
displayNamestring | nullrequired
imagestring | nullrequired
null
null
boardLobbyBoard | nullrequired
Show properties
Any of:
LobbyBoard
idstringrequired
namestringrequired
null
null
createdAtstringrequired
updatedAtstringrequired
pagingPagingrequired
Show properties
nextCursorstring | nullrequired
400

Invalid request.

messagestringrequired
401

Missing or invalid API key.

messagestringrequired
403

The API key is missing a required scope or is the wrong type for this endpoint.

messagestringrequired
404

Entity not found.

messagestringrequired
429

Rate limit exceeded. See the Retry-After header.

messagestringrequired
500

Internal server error.

messagestringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.dartpilot.app/v1/lobbies' \
  -H 'x-api-key: YOUR_API_KEY' \
  -H 'Accept: application/json'
Response
{
  "items": [
    {
      "id": "string",
      "gameType": "string",
      "visibility": "private",
      "playerCount": 0,
      "host": {
        "displayName": "string",
        "image": "string"
      },
      "board": {
        "id": "string",
        "name": "string"
      },
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "paging": {
    "nextCursor": "string"
  }
}

Was this page helpful?